Package: org.gradle.api.logging

## [Java] Interface LoggingOutput

- Provides access to the output of the Gradle logging system.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addStandardErrorListener(StandardOutputListener listener)` Adds a listener which receives output written to standard error by the Gradle logging system.
    `void` | `addStandardOutputListener(StandardOutputListener listener)` Adds a listener which receives output written to standard output by the Gradle logging system.
    `void` | `removeStandardErrorListener(StandardOutputListener listener)` Removes a listener from standard error.
    `void` | `removeStandardOutputListener(StandardOutputListener listener)` Removes a listener from standard output.

- - ### Method Detail

    - #### public void addStandardErrorListener(StandardOutputListener listener)

      Adds a listener which receives output written to standard error by the Gradle logging system.

      Parameters:
        `listener` - The listener to add.

    - #### public void addStandardOutputListener(StandardOutputListener listener)

      Adds a listener which receives output written to standard output by the Gradle logging system.

      Parameters:
        `listener` - The listener to add.

    - #### public void removeStandardErrorListener(StandardOutputListener listener)

      Removes a listener from standard error.

      Parameters:
        `listener` - The listener to remove.

    - #### public void removeStandardOutputListener(StandardOutputListener listener)

      Removes a listener from standard output.

      Parameters:
        `listener` - The listener to remove.